Name: emdros
Version: 3.0.0
Release: alt1

Summary: The database engine for analyzed or annotated text
License: GPL
Group: Databases

Packager: Kirill Maslinsky <kirill@altlinux.org>
URL: http://emdros.org
Source: emdros-%version.tar.bz2
Patch0: emdros-%version-alt-locallib.patch

# Automatically added by buildreq on Sat Dec 30 2006 (-bi)
BuildRequires: gcc-c++ libMySQL-devel libpcre-devel postgresql-devel libsqlite3-devel zlib-devel wxGTK2u-devel libpango-devel

%description
Emdros is a text database engine for storage and retrieval of annotated
or analyzed text. Application domains include linguistics, publishing,
and text processing. Emdros has a powerful query-language for
query/create/update/delete operations.

%package devel
Summary: The database engine for analyzed or annotated text
Group: Development/Databases
Requires: emdros = %version

%description devel

Emdros is a text database engine for storage and retrieval of
annotated or analyzed text. Application domains include linguistics,
publishing, and text processing, with corpus linguistics being the
main target domain. Emdros has a powerful query-language for
query/create/update/delete operations.

This package contains the development files needed for building
applications with Emdros.


%prep
%setup -q -n emdros-%version
rm -rv pcre sqlite sqlite3
%patch0 -p2

%build
autoreconf -fisv
export lt_prog_compiler_static_works=no
%configure --with-swig-language-python=no --disable-debug --with-sqlite3=system --with-sqlite=no --with-default-backend=sqlite3 --enable-utf8 --disable-static
%make_build
bzip2 ChangeLog

%install
%make_install install DESTDIR=%buildroot

%files
%doc AUTHORS COPYING NEWS README ChangeLog.bz2 INSTALL
%_bindir/*
%_libdir/*.so.*
%_datadir/emdros/
%_man1dir/*
%doc doc/*
%doc examples/ChunkingTool/doc/ChunkingToolGuide.pdf
%doc src/qrytool/doc/EQTUsersGuide.pdf
%doc doc/progref/EmdrosProgRefGuide.pdf
%doc examples/HAL/doc/HALGuide.pdf

%files devel
%_includedir/emdros/
%_libdir/*.so
%doc doc/progref/emdros-progref-guide-3.0.0.zip
%doc SWIG/java/README-Java
%doc SWIG/java/TestEmdros.java
%doc SWIG/python/README-Python
%doc SWIG/python/test.py
%doc SWIG/python/dir.py
%doc SWIG/ruby/README-Ruby
%doc SWIG/ruby/test.rb
%doc SWIG/ruby/dir.sh
%doc SWIG/perl/README-Perl
%doc SWIG/perl/test.pl
%doc SWIG/php/testEmdrosPHP.php

%changelog
* Mon Jan 28 2008 Kirill Maslinsky <kirill@altlinux.ru> 3.0.0-alt1
- version up (3.0.0 release, see NEWS and ChangeLog)
- spec:
  	+ updated packaged docs list in %%files
	+ rename -alt-locallib.patch (needs no rediffing)

* Mon Jul 16 2007 Kirill Maslinsky <kirill@altlinux.org> 1.2.0.pre262-alt1
- version up (pre262, see NEWS and ChangeLog for details)
	+ rediff locallib patch
- packaging enhancements:
	+ split emdros and emdros-devel packages (following upstream spec template)
	+ cleanup %%files sections
	+ bzip ChangeLog
	+ use %%version macro properly in .gear-rules and spec

* Thu Jun 07 2007 Kirill Maslinsky <kirill@altlinux.org> 1.2.0-alt0.4
- version up (pre242, see NEWS and ChangeLog for details)
  + includes security-related fixes
- build options:
  + default database backend: SQLite3

* Sun Jan 14 2007 Kirill Maslinsky <kirill@altlinux.ru> 1.2.0-alt0.3
- rebuilt with wx GUI frontend enabled

* Mon Jan 08 2007 Kirill Maslinsky <kirill@altlinux.ru> 1.2.0-alt0.2
- bugfix release (1.2.0.pre231), see NEWS and ChangeLog for details
- added Packager tag in spec
- build options:
  + database backends: SQLite2, MySQL, PostgreSQL
  + default backend: SQLite2
  + without any SWIG languages
  + --enable-utf8
  + docs included in package

* Sat Jul 08 2006 Alexey Tourbin <at@altlinux.ru> 1.2.0-alt0.1
- initial revision (1.2.0.pre206)
